Privilege Management for Windows 21.1 Release Notes

January 29, 2021

Requirements:

  • Microsoft .NET Framework 4.0 (required to use Activity Viewer, Power Rules, PowerShell audit scripts, and PowerShell API)
  • PowerShell 3.0 (required to use Power Rules, PowerShell audit scripts, and PowerShell API)
  • Microsoft SQL Server Compact 4.0 (required on the endpoint that will run the Activity Viewer console)
  • McAfee Agent (required if you are installing the Privilege Management client with switch EPOMODE=1)

The executable version of the client package includes all necessary prerequisites (excluding .NET Framework 4.0) and automatically installs them as necessary. If you use the MSI or ZIP package, you must manually install any necessary prerequisites.

New Features and Enhancements:

  • Moved to new versioning scheme, year.number.build.patch.
  • Privilege Management Cloud only: Privilege Management for Windows now filters workstyles based on a user's Azure AD group membership.
  • Privilege Management for Windows now matches uninstallers based on their Publisher and Product Name.
    • Policy Editor
      • The Uninstaller Application Type can now be imported as new Application Definitions via the Event Import menu.
      • PM Cloud Snap-in only: Azure AD Group names can be added as a new account filter type. They are validated against the Azure AD tenant PM Cloud is connected to.
      • Mac messages can now be configured to gate application access based on smart card authentication.
      • The terms whitelist and blacklist have been replaced by allowlist and blocklist, respectively.
      • Removed the depreciated general rule Unlock a Shared Workstation.

Issues Resolved:

  • Policy Editor
    • The Policy Editor no longer trims leading/trailing whitespace from matching criteria properties read from files.
    • Event Import no longer replaces a blank/empty File Description with the File Name. Local and forwarded Event data now allows empty values for Product Description where no description exists for the file (File Name was used for missing data).

Compatibility:

  • Privilege Management Policy Editor 21.1 (recommended), 5.0+
  • Privilege Management ePO Extension 5.7 (recommended), 5.0+
  • Privilege Management Console Windows Adapter 21.1 and 1.4+
  • BeyondInsight/Password Safe 7.2 (recommended), 6.9+
  • McAfee Agent 5.7 (recommended), 5.6+
  • McAfee ePO Server 5.10 (recommended), 5.9

Supported Operating Systems:

For information about Supported Operating Systems, please see Privilege Management for Windows and Mac: Supported Versions and Operating System Compatibility.